%{?nodejs_find_provides_and_requires}

# disable tests
# tests depend on jshint which is not packaged due to license issues
# https://github.com/jshint/jshint/issues/1234
%global enable_tests 0
%global srcname grunt-contrib-htmlmin
%global commit 1648774c9a1e5a3a08702d4b38cc5519751cfed2

Name:           nodejs-%{srcname}
Version:        0.6.0
Release:        8%{?dist}
Summary:        Minify HTML
License:        MIT
URL:            https://github.com/gruntjs/grunt-contrib-htmlmin
Source0:        https://github.com/gruntjs/%{srcname}/archive/%{commit}/%{srcname}-%{commit}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(grunt)
BuildRequires:  npm(grunt-contrib-clean)
BuildRequires:  npm(grunt-contrib-internal)
BuildRequires:  npm(grunt-contrib-jshint)
BuildRequires:  npm(grunt-contrib-nodeunit)
%endif


%description
%{summary}.


%prep
%setup -q -n %{srcname}-%{commit}
rm -rf node_modules/

%nodejs_fixdep chalk ^1.1.1
%nodejs_fixdep pretty-bytes


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json tasks/ %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
grunt test
%endif


%files
%doc README.md
%license LICENSE-MIT
%{nodejs_sitelib}/%{srcname}


%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Feb 22 2016 Tom Hughes <tom@compton.nu> - 0.6.0-3
- Update npm(chalk) dependency

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 17 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.6.0-1
- Update to 0.6.0

* Sat Oct 17 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.5.0-1
- Update to 0.5.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Mar  8 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.4.0-2
- Update Source0 to comply with github source guidelines

* Fri Feb 27 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.4.0-1
- Updated to upstream 0.4.0
- Corrected URL
- Clarified disabled check comment
- Moved licence from %%doc to %%license
- Moved Source0 from npm to github, new npm release doesn't contain the license
- Fixdep on chalk and pretty-bytes

* Fri Nov 21 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.3.0-1
- Initial package
